#
# spec file for package rubygem-rmagick
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rmagick
Version:        2.16.0
Release:        1.15
%define mod_name rmagick
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(ImageMagick) >= 6.4.9
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.8.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/rmagick/rmagick
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-rmagick-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Ruby binding to ImageMagick
License:        MIT
Group:          Development/Languages/Ruby

%description
RMagick is an interface between Ruby and ImageMagick.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Tue Aug 16 2016 coolo@suse.com
- updated to version 2.16.0
  see installed CHANGELOG.md
  [#]# RMagick 2.16.0
  - Support ImageMagick 6.9+ - @ZipoKing
* Sat Aug 15 2015 coolo@suse.com
- updated to version 2.15.4
  see installed CHANGELOG.md
  [#]# RMagick 2.15.4
  - Improved C extension building process - @u338steven
* Wed Jul 22 2015 coolo@suse.com
- updated to version 2.15.3
  see installed CHANGELOG.md
  [#]# RMagick 2.15.3
  - Fixed ImageMagick version detection on Windows - @maisumakun
* Fri Jun 12 2015 coolo@suse.com
- updated to version 2.15.2
  see installed CHANGELOG.md
  [#]# RMagick 2.15.2
  - GitHub repository moved back to github.com/rmagick/rmagick - @wurde, @vassilevsky
* Sun May 31 2015 coolo@suse.com
- updated to version 2.15.1
  ChangeLog removed upstream
* Wed Apr 29 2015 coolo@suse.com
- updated to version 2.15.0
  see installed ChangeLog
* Wed Apr  1 2015 coolo@suse.com
- updated to version 2.14.0
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.13.4
* Sun Feb 16 2014 kkaempf@suse.com
- use new macros
* Wed Mar 20 2013 coolo@suse.com
- updated to version 2.13.2
* Thu Feb  9 2012 lazy.kent@opensuse.org
- Build requires pkg-config.
- Use fdupes.
- Clean up spec.
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 2.13.1
  o Fixed bug preventing RMagick from working with version 6.5.9 or
    higher
- additional changes from version 2.13.0
  o Added Doxygen documentation, for automatic documentation
  o Fixed bug #27467, get RMagick to compile witH ImageMagick 6.5.7
  o Fixed bug #27607, switch Pixel#from_hsla and Pixel#to_hsla to
    use ranges 0-255 instead of 0-100 for saturation and lightness
    (range used by ImageMagick 6.5.6-5 and higher). Also added
    ability to specify all arguments to these functions as
    percentages (bug report by Arthur Chan).
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Sat Feb 13 2010 chris@computersalat.de
- fix deps
  o BuildReq ImageMagick >= 6.3.5
* Tue Nov 17 2009 mrueckert@suse.de
- update to 2.12.22
* Wed Aug 26 2009 dmacvicar@novell.com
- initial package for 2.11.0
